> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korint.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get report config



## OpenAPI

````yaml /openapi.json get /reporting/{type}/config
openapi: 3.0.0
info:
  title: Korint Documentation
  description: Korint API Documentation
  version: 1.0.0
  contact: {}
servers: []
security:
  - bearerAuth: []
tags: []
paths:
  /reporting/{type}/config:
    get:
      tags:
        - reporting
      summary: Get report config
      operationId: ReportingController_getReportConfig
      parameters:
        - name: type
          required: true
          in: path
          description: The type of report
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetReportConfigOutput'
components:
  schemas:
    GetReportConfigOutput:
      type: object
      properties:
        availableProductIds:
          type: array
          items:
            type: string
        params:
          type: array
          items:
            $ref: '#/components/schemas/ReportParamConfigDto'
      required:
        - availableProductIds
        - params
    ReportParamConfigDto:
      type: object
      properties:
        key:
          type: string
        type:
          type: string
          enum:
            - BOOLEAN
            - STRING
            - NUMBER
            - INTEGER
            - ENUM
            - DATE
            - DATETIME
            - PHONE_NUMBER
            - EMAIL
            - REGISTRATION_NUMBER
            - SIRET
            - POSTCODE
            - URL
            - IBAN
            - BIC
        validationRules:
          type: array
          items:
            $ref: '#/components/schemas/ValidationRuleDto'
        defaultValue:
          type: string
        required:
          type: boolean
      required:
        - key
        - type
    ValidationRuleDto:
      type: object
      properties:
        option:
          type: string
        value:
          oneOf:
            - type: string
            - type: number
            - type: boolean
            - type: array
              items:
                type: string
      required:
        - option
        - value

````